<?php
/**
 * @package DJ-Catalog2
 * @copyright Copyright (C) DJ-Extensions.com, All rights reserved.
 * @license http://www.gnu.org/licenses GNU/GPL
 * @author url: http://dj-extensions.com
 * @author email contact@dj-extensions.com
 */

// No direct access
defined('_JEXEC') or die;

class Djcatalog2TableAddresses extends JTable
{
	public function __construct(&$db)
	{
		parent::__construct('#__djc2_addresses', 'id', $db);
	}
	function bind($array, $ignore = '')
	{
		return parent::bind($array, $ignore);
	}
	public function store($updateNulls = false)
	{
		$app = JFactory::getApplication();
		$user = JFactory::getUser();
		
		if (!$this->id) {
			$this->user_id = $user->id;
		}
		
		if (!$this->user_id) {
			$this->setError(JText::_('COM_DJCATALOG2_ERROR_USER_ID_MISSING'));
			return false;
		}
		
		return parent::store($updateNulls);
	}
	
}
